%define upname oneVPL

%define major 2
%define libname %mklibname %{name} %{major}
%define devel %mklibname %{name} -d

Name: vpl
Version: 2023.3.1
Release: %mkrel 1
Summary: oneAPI Video Processing Library (oneVPL) dispatcher, tools, and examples
License: MIT
Group: System/Libraries

Source0: https://github.com/oneapi-src/oneVPL/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: pkgconfig(libva)
BuildRequires: pkgconfig(libva-drm)
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(pciaccess)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-protocols)

%description
Intel® oneAPI Video Processing Library (oneVPL) supports AI visual inference,
media delivery, cloud gaming, and virtual desktop infrastructure use cases by
providing access to hardware accelerated video decode, encode, and frame
processing capabilities on Intel® GPUs.

%package -n %{libname}
Summary: Libraries for %{name}

%description -n %{libname}
%{summary}.

%package -n %{devel}
Summary: Development files for %{name}

%description -n %{devel}
%{summary}.

%prep
%autosetup -n %{upname}-%{version}

%build
%cmake \
	-DBUILD_DISPATCHER_ONEVPL_EXPERIMENTAL=OFF \
	-DBUILD_TOOLS_ONEVPL_EXPERIMENTAL=OFF \
	-DBUILD_TOOLS=OFF \
	-DBUILD_TESTS=OFF \
	-DBUILD_EXAMPLES=OFF \
	-DBUILD_PREVIEW=OFF \
	-DINSTALL_EXAMPLE_CODE=OFF
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/vpl/licensing/

%if 0
%files
%doc README.md SECURITY.md
%{_sysconfdir}/modulefiles/vpl
%{_sysconfdir}/vpl/vars.sh
#{_bindir}/sample_decode
#{_bindir}/sample_encode
#{_bindir}/sample_multi_transcode
#{_bindir}/sample_vpp
#{_bindir}/system_analyzer
#{_bindir}/vpl-inspect
%endif

%files -n %{devel}
%{_sysconfdir}/modulefiles/vpl
%{_sysconfdir}/vpl/vars.sh
%{_includedir}/vpl/
%{_libdir}/cmake/vpl/
%{_libdir}/libvpl.so
%{_libdir}/pkgconfig/vpl.pc

%files -n %{libname}
%doc README.md SECURITY.md
%{_libdir}/libvpl.so.%{major}{,.*}
#{_libdir}/vpl/libvpl_wayland.so
#{_datadir}/vpl/


%changelog
* Tue Oct 10 2023 kekepower <kekepower> 2023.3.1-1.mga10
+ Revision: 1994252
- Only build the libraries
- imported package vpl

